4Suite™ API Documentation

# ► Module Ft.Server.Server.Xslt.XmlDocument

XSLT extensions providing repository functionality related to XmlDocument objects
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: SetDocumentDefinitionElement |  |  |  | Functions: GetDocumentDefinition |  |  |  | Fields: ExtElements, ExtFunctions, SCORE_NS

## Classes

class SetDocumentDefinitionElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
Change the Document Definition of a XML document

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'docdef': <Ft.Xml.Xslt.AttributeInfo.StringAvt instance>, 'path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>}

### Fields

## Functions

GetDocumentDefinition(context, path=None)

## Fields

ExtElements = {('http://xmlns.4suite.org/4ss/score', 'set-document-definition'): <class Ft.Server.Server.Xslt.XmlDocument.SetDocumentDefinitionElement>}
ExtFunctions = {('http://xmlns.4suite.org/4ss/score', 'get-document-definition'): <function GetDocumentDefinition>}
SCORE_NS = 'http://xmlns.4suite.org/4ss/score'